#include "r2k.h"

quad TopOfApplicationArea;

static AMB* defaultAMB;
static const char* starcommand = "BASIC";

void InitApplication(void)
{
	defaultAMB = CreateAndMapAMB(1*MB / PAGESIZE);
	TopOfApplicationArea = 1*MB + 0x8000;
}

SYSCALL(Impl_OS_GetEnv)
{
	R0 = (quad) starcommand;
	R1 = TopOfApplicationArea;
	R2 = 0;
	return 0;
}

