SECTIONS {
	. = 0x10000000;
	.text . : {
		*(.text)
	}
	.rodata . : {
		*(.rodata)
	}
	.data . : {
		*(.data)
	}
	
	. = ALIGN(4);
	__bss = . ;
	.bss . : {
		*(.bss)
		*(COMMON)
	}
	
	. = ALIGN(4);
	__end = . ;
	.tail : {
		*(.tail)
	}
	
	__top = 0x10100000;
}
