#include "r2-asm.h"

/* System Control Handler table.
 *
 * This table stores each of the system control handlers. Each element has the
 * following structure:
 *
 *  +8 buffer
 *  +4 r12 for this routine
 *  +0 routine
 */

.data 4
proc SystemControlHandlers
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0
	.word hcproxy, Impl_Handler_Error, errorbuffer // --- Handler_Error
	.word 0, 0, 0
	.word 0, 0, 0 // --- 8
	.word 0, 0, 0
	.word 0, 0, 0
	.word hcproxy, Impl_Handler_Exit, 0 // --- Handler_Exit
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0
	.word 0, 0, 0 // --- 16
	.word 0, 0, 0



.text
hcproxy:
	mov r12, r0
	b FCProxy

.bss
errorbuffer:
	.fill 256
