#include <r2k.h>

void start(void)
{
	printf("R2K start\r\n");

	SystemHeapInit();
	InitApplication();
	InitRomModules();

	/* Run the Supervisor. */

	printf("Kernel startup complete\r\n");
	printf("*BASIC\r\n");
	SWI1i0o(OS_CLI, "BASIC");
	abort();
}

SYSCALL(UnknownSWI)
{
	printf("Unknown SWI %x!\r\n", R->swi);
	abort();
}

SYSCALL(EmptyVectorHandler)
{
	printf("Empty vector %x!\r\n", R0);
	abort();
}

SYSCALL(Impl_Handler_Exit)
{
	printf("Exit handler called!\r\n");
	abort();
}
