SECTIONS {
	.module_header : {
		LONG(DEFINED(ModuleStart)     ? ModuleStart     : 0);
		LONG(DEFINED(ModuleXInit)     ? ModuleXInit     : 0);
		LONG(DEFINED(ModuleXDeinit)   ? ModuleXDeinit   : 0);
		LONG(DEFINED(ModuleService)   ? ModuleService   : 0);
		LONG(DEFINED(ModuleTitle)     ? ModuleTitle     : 0);
		LONG(DEFINED(ModuleHelp)      ? ModuleHelp      : 0);
		LONG(DEFINED(ModuleCmdTable)  ? ModuleCmdTable  : 0);
		LONG(DEFINED(ModuleSwiBase)   ? ModuleSwiBase   : 0);
		LONG(DEFINED(ModuleSwi)       ? ModuleSwi       : 0);
		LONG(DEFINED(ModuleSwiTable)  ? ModuleSwiTable  : 0);
		LONG(DEFINED(ModuleSwiDecode) ? ModuleSwiDecode : 0);
		LONG(DEFINED(ModuleMsgTrans)  ? ModuleMsgTrans  : 0);
		LONG(DEFINED(ModuleFlags)     ? ModuleFlags     : 0);
	}
	
	.text . : {
		*(.text*)
		*(.textdata*)
	}
	
	. = ALIGN(4);
	ModuleGotStart = .;
	.got . : {
		*(.got)
		*(.got.plt)
	}
	ModuleGotEnd = .;
	
	. = ALIGN(4);
	ModuleDataStart = .;
	.rodata . : {
		*(.rodata .data)
	}
	ModuleDataEnd = .;

	. = ALIGN(4);
	ModuleBssStart = .;
	.bss : {
		*(.bss COMMON)
	}
	ModuleBssEnd = .;

	ModuleUserDataSize = ModuleBssEnd - ModuleGotStart;
	ModuleBssSize = ModuleBssEnd - ModuleBssStart; 
}
